MatrixResamplingDialog Class Reference

Matrix properties dialog. More...

`#include <MatrixResamplingDialog.h>`

Inheritance diagram for MatrixResamplingDialog:

## Public Member Functions

| MatrixResamplingDialog (Matrix *m, bool shrink=false, QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...

## Private Slots

void | apply ()
| Apply changes. More...
void | buttonClicked (QAbstractButton *)
void | updateDimensionsInfo ()

## Private Member Functions

void | calculateDimensions (int *newRows, int *newColumns)

## Private Attributes

QComboBox * | boxAction
QSpinBox * | boxColumns
QComboBox * | boxMethod
QSpinBox * | boxRows
QDialogButtonBox * | buttonBox
Matrix * | d_matrix
QLineEdit * | dimensionsLabel

## Detailed Description

Matrix properties dialog.

## Constructor & Destructor Documentation

MatrixResamplingDialog::MatrixResamplingDialog | ( | Matrix * | m,
|  | bool | shrink = `false`,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | window flags

References boxAction, boxColumns, boxMethod, boxRows, buttonBox, buttonClicked(), dimensionsLabel, and updateDimensionsInfo().

## Member Function Documentation

void MatrixResamplingDialog::apply | ( |  | ) |

private slot

Apply changes.

References boxMethod, calculateDimensions(), d_matrix, and Matrix::resample().

Referenced by buttonClicked().

void MatrixResamplingDialog::buttonClicked | ( | QAbstractButton * | btn | ) |

private slot

References apply(), and buttonBox.

Referenced by MatrixResamplingDialog().

void MatrixResamplingDialog::calculateDimensions | ( | int * | newRows,
|  | int * | newColumns
| ) |  |

private

References boxAction, boxColumns, boxRows, d_matrix, Matrix::numCols(), and Matrix::numRows().

Referenced by apply(), and updateDimensionsInfo().

void MatrixResamplingDialog::updateDimensionsInfo | ( |  | ) |

private slot

References calculateDimensions(), d_matrix, dimensionsLabel, Matrix::numCols(), and Matrix::numRows().

Referenced by MatrixResamplingDialog().

## Member Data Documentation

QComboBox * MatrixResamplingDialog::boxAction

private

Referenced by calculateDimensions(), and MatrixResamplingDialog().

QSpinBox* MatrixResamplingDialog::boxColumns

private

Referenced by calculateDimensions(), and MatrixResamplingDialog().

QComboBox* MatrixResamplingDialog::boxMethod

private

Referenced by apply(), and MatrixResamplingDialog().

QSpinBox * MatrixResamplingDialog::boxRows

private

Referenced by calculateDimensions(), and MatrixResamplingDialog().

QDialogButtonBox* MatrixResamplingDialog::buttonBox

private

Referenced by buttonClicked(), and MatrixResamplingDialog().

Matrix* MatrixResamplingDialog::d_matrix

private

Referenced by apply(), calculateDimensions(), and updateDimensionsInfo().

QLineEdit* MatrixResamplingDialog::dimensionsLabel

private

Referenced by MatrixResamplingDialog(), and updateDimensionsInfo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixResamplingDialog.h
- qtiplot/src/matrix/MatrixResamplingDialog.cpp